Bug 73324 - installer hangs on ibm microdrive partition check
Summary: installer hangs on ibm microdrive partition check
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.3
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-09-03 00:11 UTC by Alastair Wiggins
Modified: 2008-08-01 16:22 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:39:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot from installer (1.03 MB, image/jpeg)
2002-09-03 00:13 UTC, Alastair Wiggins
no flags Details

Description Alastair Wiggins 2002-09-03 00:11:15 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98; Win 9x 4.90)

Description of problem:
I am trying to install Red Hat 7.3 on an ICP ROCKY-3732EVS Single Board 
Computer (SBC). This features a Compact Flash (CFII) socket that accepts IBM's 
1GB Microdrive. This appears as a secondary master on the IDE and is recognised 
by Linux on boot-up, but when the OS tries to carry out a partition check, the 
screen just freezes after displaying "hdc".

I have successfully installed Mandrake 8.1 on this Microdrive, plus I have been 
told by our PC supplier that they have successfully installed Red Hat 7.2.

If I fit a standard hard disk on the primary IDE channel, then Red Hat 7.3 
installs and boots up OK, but only when the Microdrive is removed or I issue 
the boot parameter "linux hdc=noprobe".


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Insert microdrive in CFII socket
2. Insert Red Hat 7.3 Installation CDROM in CD drive
3. Turn on PC
	

Actual Results:  Linux successfully recognises IBM microdrive on hdc, but when 
it attempts a partition check, the system hangs.

Expected Results:  Linux should have displayed the existing partitions and 
continued with installation process.

Additional info:

I have attached a screenshot from the installation process.

Comment 1 Alastair Wiggins 2002-09-03 00:13:32 UTC
Created attachment 74564 [details]
Screenshot from installer

Comment 2 Michael Fulbright 2002-09-03 16:01:04 UTC
This is hanging in the kernel at the start, the installer has not begun to run yet.

You might want to check that there is a valid partition table on the microdrive.



Comment 3 Alastair Wiggins 2002-09-04 02:48:53 UTC
The microdrive came formatted with a FAT partition. I have subsequently 
installed Mandrake Linux 8.1 on it, which obviously repartitioned and formatted 
the drive successfully.

Comment 4 Igor Baranovskyy 2002-09-11 14:34:42 UTC
Installation Red Hat 7.3 hangs on 'partition check' on Ultra DMA 4
drive, but pass fine Ultra DMA 2 and Ultra DMA 5 drives.
Award BIOS 6 version, Sony Vayo desktop PC - PCV-RX650.



Comment 5 Bugzilla owner 2004-09-30 15:39:53 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.